Subject: 28.0.50; Python shell: native completion with IPython

From: Augusto Stoffel <[email-masked]>
Date: Tue, 07 Sep 2021 19:46:17 +0200

A comment in python.el claims that "Native completion was found to be
non-functional for IPython (see Bug#25067)".

It actually works for me on IPython 7.23.1 (with the usual caveat that
ipython requires the switch --simple-prompt to cooperate with Emacs).
The original bug makes reference to IPython 5.1.0, so things probably
changed since then.

Give that the native completion works more smoothly, I would suggest to
remove ipython from `python-shell-completion-native-disabled-interpreters'.

PS: The native completion setup prints 'python.el: native completion
setup loaded' directly into the shell buffer, which looks like a debug
message.  Should this be changed to a (message "..."), or even removed
altogether?